Skip to main content
POST
Cancel shaping job

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Shaping job ID beginning with shp-quant-.

Pattern: ^shp-quant-[a-f0-9-]+$

Response

Cancellation requested successfully.

Quantization job that prepares an adapter for FP4 inference.

id
string
required

Unique shaping job ID.

Pattern: ^shp-quant-[a-f0-9-]+$
job_type
enum<string>
required

Type of shaping job.

Available options:
quantization
status
enum<string>
required

Current job status.

Available options:
pending,
queued,
running,
completed,
cancelled,
cancel_requested,
error,
user_error
created_at
string<date-time>
required

Time when the job was created.

updated_at
string<date-time>
required

Time when the job was last updated.

user_id
string
required

User that created the job.

params
object
required

Job specification.

events
object[]
required

Events emitted by the job.

results
object

Model artifacts produced by the job.